KAS-CLEAN(1)

NAME
kas-clean - kas clean command

SYNOPSIS

            kas clean [-h] [--dry-run] [--isar-privileged | --isar-rootless] [config]

DESCRIPTION

Clean build artifacts, keep sstate cache and downloads.

Clean the build artifacts by removing the build artifacts directory.

OPTIONS

Positional Arguments

    config
        Config file(s), separated by colon. Using .config.yaml in KAS_WORK_DIR if existing and none is specified.

Named Arguments

    --dry-run=False
        Do not remove anything, just print what would be removed

    --isar-privileged=False, --isar=False
        Use ISAR (privileged) build directory layout

    --isar-rootless=False
        Use ISAR (rootless) build directory layout

SEE ALSO

kas-plugin-cleanall, kas-plugin-cleansstate, kas-plugin-purge

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025